Group: Development/Other
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-nodejs
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
# ava module not in fedora yet
%global enable_tests 0
%global module_name is-stream

Name:           nodejs-%{module_name}
Version:        1.1.0
Release:        alt1_5
Summary:        Check if something is a Node.js stream

License:        MIT
URL:            https://github.com/sindresorhus/is-stream
Source0:        https://github.com/sindresorhus/is-stream/archive/v%{version}.tar.gz
Source1:        https://raw.githubusercontent.com/sindresorhus/is-stream/v%{version}/test.js
BuildArch:      noarch

BuildRequires:  rpm-build-nodejs node-devel

%if 0%{?enable_tests}
BuildRequires:  npm(ava)
BuildRequires:  npm(tempfile)
%endif
Source44: import.info

%description
%{summary}.

%prep
%setup -q -n %{module_name}-%{version}
rm -rf node_modules
cp -p %{SOURCE1} .

%build
# nothing to build

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{module_name}
cp -pr package.json index.js %{buildroot}%{nodejs_sitelib}/%{module_name}

%nodejs_symlink_deps

%check
%nodejs_symlink_deps --check
%{__nodejs} -e 'require("./")'
%if 0%{?enable_tests}
%__nodejs test.js
%else
echo -e "\e[101m -=#=- Tests disabled -=#=- \e[0m"
%endif

%files
%doc readme.md
%doc --no-dereference license
%{nodejs_sitelib}/%{module_name}

%changelog
* Thu Mar 28 2019 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_5
- new version

